# coding=utf-8
'''
@time=2018/7/31 19:43
@author=llc
'''
import json

import requests
from PyQt5.QtCore import QThread, pyqtSignal
from PyQt5.QtWidgets import QApplication, QDialog
from .untitled import *


class Form(QDialog, Ui_Dialog):
    def __init__(self, parent=None):
        super(Form, self).__init__(parent)
        self.setupUi(self)

        self.pushButton.clicked.connect(self.post)

    def post(self):
        # data = {'key1': [
        #     '{"type":"MultiPolygon","coordinates":[[[[102.0,2.0],[103.0,2.0],[103.0,3.0],[102.0,3.0],[102.0,2.0]]],[[[100.0,0.0],[101.0,0.0],[101.0,1.0],[100.0,1.0],[100.0,0.0]],[[100.2,0.2],[100.8,0.2],[100.8,0.8],[100.2,0.8],[100.2,0.2]]]]}'],
        #     'key2': 'value2'}
        # url = 'http://httpbin.org/post'
        # r = requests.post(url, data=json.dumps(data))
        # print(r.text)

        self.post_thread = PostThread()
        self.post_thread.finished.connect(self.test)
        self.post_thread.start()

    def test(self):
        self.post_thread.quit()
        del self.post_thread
        print('end')


class PostThread(QThread):
    finished = pyqtSignal()

    def __init__(self, data=None):
        super(PostThread, self).__init__()
        self.data = data

    def run(self):
        print('start')
        url = 'http://httpbin.org/post'
        # r = requests.post(url, data=json.dumps(self.data))
        try:
            r = requests.get('http://www.baidu.com')
            print(r.text)
        except Exception as e:
            print(e)
        self.finished.emit()


if __name__ == '__main__':
    import sys

    app = QApplication(sys.argv)
    form = Form()
    form.show()
    app.exec_()
