# coding=utf-8
'''
@time=2018/7/31 20:01
@author=llc
'''
from PyQt5.QtGui import QIcon
from PyQt5.QtWidgets import QAction
from .main import Form


class TestPlugin:
    def __init__(self, iface):
        self.iface = iface

    def initGui(self):
        # create action that will start plugin configuration
        self.action = QAction(QIcon(""), "Test plugin", self.iface.mainWindow())
        self.action.triggered.connect(self.run)
        self.iface.addPluginToMenu("&Test plugins", self.action)

    def unload(self):
        self.iface.removePluginMenu("&Test plugins", self.action)

    def run(self):
        self.form = Form(self.iface.mainWindow())
        self.form.show()
